/******************************************************************************
 *                                                                         
 *               Copyright 2004-2006 Agilent Technologies
 *               All rights reserved.
 *
 *****************************************************************************/
 
#include "stdafx.h"
#include "CoAgilent34950A.h"



/// <summary>
///	Retrieves a pointer to the Digital interface.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34950A::IAgilent34950A_get_Digital(IAgilent34950ADigital** val)
{
	HRESULT hr = S_OK;

	hr = InternalQueryInterface(this, _GetEntries(), __uuidof(*val), reinterpret_cast<void**>(val));

	return hr;
}



/// <summary>
///	Pointer to the IAgilent34950ACounter interface.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34950A::IAgilent34950A_get_Counter(IAgilent34950ACounter** val)
{
	HRESULT hr = S_OK;

	hr = InternalQueryInterface(this, _GetEntries(), __uuidof(*val), reinterpret_cast<void**>(val));

	return hr;
}

/// <summary>
///	Pointer to the IAgilent34950AOutputClock interface.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34950A::IAgilent34950A_get_OutputClock(IAgilent34950AOutputClock** val)
{
	HRESULT hr = S_OK;

	hr = InternalQueryInterface(this, _GetEntries(), __uuidof(*val), reinterpret_cast<void**>(val));

	return hr;
}
